Subject: Re: bug#24335: Error when invoking usermod while reconfiguring

From: Leo Famulari <[email-masked]>
Date: Tue, 30 Aug 2016 14:12:22 -0400

On Tue, Aug 30, 2016 at 01:18:06PM +0300, Alex Kost wrote:
> This "... create-home-directory? ..." commit is eb56ee027 actually:
> 
> http://git.savannah.gnu.org/cgit/guix.git/commit/?id=eb56ee027b4c6b5682f69fa885d16e55c4495bd8

Oops, I copied the commit hashes of my reversions.

> > [...]
> > In unknown file:
> >    ?: 0 [system* "usermod" "-u" ...]
> >
> > ERROR: In procedure system*:
> > ERROR: Wrong type (expecting string): #t
> 
> I think that commit is an ABI-breaking thing.  Try to do "make clean-go"
> and remake the guix checkout again.
> 
> Specifically, that commit didn't touch (gnu services base) module, so
> 'guix-build-accounts' procedure still produces guixbuilder users
> accounts in an "old" format.  It's just my guess though, but "make
> clean-go" should work.

I ended up needing to use `make clean`, but everything worked after
that. Thanks!